Page MenuHomePhabricator

Timeout exceeded for WikibaseReferenceOnProtectedPage Selenium test
Closed, ResolvedPublic

Description

The test called "WikibaseReferenceOnProtectedPage can expand collapsed references on a protected page as unprivileged user" seems to fail randomly, and a recheck solves the problem. See for instance here (PS23) or here (PS24); I've seen this thrice in the last two days. Here is the console output:

17:29:39 [chrome #0-10] 1) WikibaseReferenceOnProtectedPage can expand collapsed references on a protected page as unprivileged user:
17:29:39 [chrome #0-10] Timeout of 60000ms exceeded. Try to reduce the run time or increase your timeout for test specs (http://webdriver.io/guide/testrunner/timeouts.html); if returning a Promise, ensure it resolves. (/workspace/src/extensions/Wikibase/repo/tests/selenium/specs/readmode.references.js)
17:29:39 [chrome #0-10] Error: Timeout of 60000ms exceeded. Try to reduce the run time or increase your timeout for test specs (http://webdriver.io/guide/testrunner/timeouts.html); if returning a Promise, ensure it resolves. (/workspace/src/extensions/Wikibase/repo/tests/selenium/specs/readmode.references.js)
17:29:39 [chrome #0-10]     at Test.Runnable._timeoutError (/workspace/src/node_modules/mocha/lib/runnable.js:440:10)
17:29:39 [chrome #0-10]     at Timeout.<anonymous> (/workspace/src/node_modules/mocha/lib/runnable.js:251:24)
17:29:39 [chrome #0-10]     at ontimeout (timers.js:386:14)
17:29:39 [chrome #0-10]     at tryOnTimeout (timers.js:250:5)
17:29:39 [chrome #0-10]     at Timer.listOnTimeout (timers.js:214:5)

Looking at the video, everything seems to be happening correctly, but it actually takes 60 seconds to get to the logout phase.

Since the test was added in https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/474301/, I'm CC'ing people from gerrit.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUse API request to protect page for faster test
mediawiki/extensions/Wikibase : masterReduce string length to speed up test

Event Timeline

Daimona created this task.Dec 1 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2018, 6:08 PM

Link to one of the failing jobs, for convenience:

We should probably try to perform some of the in-browser actions (create item, add statement with reference, protect page) via the API instead, so we don’t have to wait for various page elements all the time.

However, if that turns out to be more complicated than expected, a simpler improvement that might help would be to change the current “add statement, save, edit, add reference, save” into “add statement, add reference, save”, skipping the intermediate save-then-edit-again step. Replacing the “main value” and “reference value 1-1” values with shorter strings looks like it would also shave off a few seconds.

Michael claimed this task.Dec 3 2018, 3:04 PM
Restricted Application added a project: User-Michael. · View Herald TranscriptDec 3 2018, 3:04 PM

Change 477303 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Reduce string length to speed up test

https://gerrit.wikimedia.org/r/477303

Change 477304 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Use API request to protect page for faster test

https://gerrit.wikimedia.org/r/477304

Addshore moved this task from incoming to in progress on the Wikidata board.Dec 3 2018, 5:41 PM

Change 477303 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Reduce string length to speed up test

https://gerrit.wikimedia.org/r/477303

Change 477304 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use API request to protect page for faster test

https://gerrit.wikimedia.org/r/477304

Has this flaky test been fixed/disabled, or is there some remaining work on this ticket?

Lucas_Werkmeister_WMDE closed this task as Resolved.Dec 21 2018, 4:53 PM

Well, we’ve improved the test so it’s faster now and hopefully won’t run into the timeout. I guess we can close this if no one is experiencing this issue anymore? (Please reopen otherwise.)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM